Subject: Re: [PATCH 2/3] [POWERPC][V3] Xilinx: of_serial support for Xilinx uart 16550.

From: Arnd Bergmann <[email-masked]>
Date: Thu, 3 Apr 2008 06:16:08 +0200

On Thursday 03 April 2008, Grant Likely wrote:
> >
> >  Since it is not really compatible with ns16550, shouldn't you at least specify
> >  a different "compatible" property? That way, the driver won't do incorrect
> >  accesses when you try to use an old driver with a device tree that specifies
> >  one of these.
> 
> Heh; we've gone back and forth on this issue.  The problem is that we
> have a common case of ns16550 like devices that require a little bit
> of register address tweaking that spans a whole range of vendors (so
> adding a compatible match with each of those vendor's prefixes is
> probably non-scalable).  So, if "ns16550" is not a good idea, then
> what should be used?  "sparse16550" has been suggested more than once.

After another IRC discussion between Grant, Segher and myself, we concluded
that we don't need to invent a new "compatible" value, as only new device
trees with old kernels will have a problem with this, and they don't work
in the first place.

The devices will still have their specific "compatible" value, e.g.
"xlnx,plb-uart16550-1.00.c", followed by "ns16550", and possibly
"ns16450" and "i8250", although the last two do not have an effect
on Linux.

Josh, can you please forward all three patches in their latest version?

Acked-by: Arnd Bergmann <[email-masked]>